Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1045110 - QA review: Dev Guide: Part III. Advanced Features
Summary: QA review: Dev Guide: Part III. Advanced Features
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 6.2.0
Assignee: Rakesh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-19 15:57 UTC by Tomas Sykora
Modified: 2014-01-16 00:02 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-16 00:02:29 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomas Sykora 2013-12-19 15:57:04 UTC

Comment 2 Alan Field 2013-12-19 16:25:51 UTC
Chapter 14:
   Section 14.1 has the first mention of the JTA acronym, but section 14.2 defines it. Please add the definition to 14.1.
   Change item 2 from "If not already done, it registers XAResource" to "If not already done, it registers an XAResource"
   Section 14.4.3 and 14.4.4 are identical. Can you combine the text and remove one?

Chapter 15:
   Section 15.5.2 is kind of confusing to me. Everything else in this chapter is about Marshalling, but this section refers to state transfer and then talks about a failure to generate the transaction log. It's not clear how this is related to Marshalling.

Comment 3 Alan Field 2013-12-19 18:59:56 UTC
Chapter 17:
   Section 17.2.2.2 has a mispelling in the example: "The @ApplicationScoped annotation specifies that the method is called ocne."
   Section 17.2.3.3 In this example, the CacheResult annotation is introduced. In the first code example, the fully qualified path name is used. ("javax.cache.annotation.CacheResult") Subsequent, code use just the annotation name. I think it would be better to use the package name in the text description of the annotation, and then always use the @CacheResult annotation in the code. So change "Annotate the method with the @CacheResult annotation..." with "Annotate the method with the @CacheResult annotation from the javax.cache.annotation package..." Other examples also show import statements, so you could just import javax.cache.annotation.CacheResult in the example as well. This comment applies to section 17.2.4.1 which mentions the @CacheValue and @CachePut annotations, section 17.2.4.2 which mentions the @CacheRemoveEntry, and section 17.2.4.3 which mentions @CacheRemoveAll.

Comment 4 Alan Field 2013-12-19 20:15:05 UTC
Chapter 19:
   Section 19.1 has a sentence about Combiners I'd like to modify: "As Combiners only see a...however when used they can reduce network traffic significantly." to "As Combiners only see a...however when used they can reduce network traffic and memory consumption in the intermediate cache significantly."

Comment 5 gsheldon 2013-12-19 23:52:52 UTC
Assigning this to Mandar.

Comment 6 Mandar Joshi 2013-12-20 08:30:24 UTC
Assigning this to Rakesh (Bobb)

Comment 9 Rakesh 2013-12-30 12:36:24 UTC
Awaiting Alan's response to comment 7.

Comment 10 Misha H. Ali 2014-01-08 05:09:52 UTC
Bob, why is this still on ASSIGNED? If you can't get Alan to respond, please ask Martin to assign someone else to QA for this bug.

Comment 11 Rakesh 2014-01-08 19:26:31 UTC
Vojtech, Martin directed me to you since Alan is not available. I am seeking clarification for Comment 7 above. Any inputs on it would be helpful to progress the bug.

Comment 15 Rakesh 2014-01-09 16:12:09 UTC
Vojtech, if its all good, could you please set the bug status to VERIFIED?

Comment 16 Tomas Sykora 2014-01-09 17:33:29 UTC
Very small corrections:

19.1. Interoperability Between Library and Remote Client-Server Endpoints

1st paragraph -- space before comma: if one method was used to store data , the same method was required to retrieve it.


19.3.1. Use Cases and Requirements:

Please remove "C++" behind Memcached and mention only "pure" Memcached client:
For example, in Use Case 1 interoperability is between a Memcached C++ client (A), and a Hot Rod Java client (B).

Comment 18 Misha H. Ali 2014-01-16 00:02:29 UTC
The fix for this bug is now generally released and available here:

https://access.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Data_Grid/6.2/index.html


Note You need to log in before you can comment on or make changes to this bug.